console.log('***process.env***', process.env);
if (process.env.NODE_ENV == 'production' || process.env.NODE_ENV == 'uat') {
    if (location.protocol == 'http:') {
        location.href = location.href.replace(/^http:/, 'https:');
    }
}
window.env = process.env.NODE_ENV;
let env = window.env == 'development' ? 'test2' : env;
const api = require('@/utils/config.js');
window.WEB_CONF = api(env);
console.log(window.env, window.WEB_CONF);

import Vue from 'vue'
import App from './App.vue'
import axios from 'axios';
import router from './router'
import store from './store'
// import VideoPlayer from 'vue-video-player'
import "./assets/iconfont.css" //引用公共icon库
window.axios = axios;
Vue.prototype.axios = axios;
Vue.config.productionTip = false
require('video.js/dist/video-js.css')
// require('vue-video-player/src/custom-theme.css')
// Vue.use(VideoPlayer)


new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
