import store from "@/store";
import {setStorage , getStorage} from '@/utils/localStorage'
import axios from 'axios';
import router from '@/router'
var requestCount = 0;//记录下同时的请求数
var that = this;
axios.defaults.headers.post['elabEnvironment'] = '4'; //axios默认的请求方式,可以自己设置
axios.defaults.headers.post['token'] = ""; //token
axios.defaults.headers.post['userType'] = '1000'; //axios默认的请求方式,可以自己设置
axios.interceptors.request.use(function (config) {
    let accountNo = getStorage('accountNo');

	if(!config.url.includes('/elab-marketing-user/aysn/task/byone')&&!config.url.includes('/elab-marketing-content/news/queryNewsById')){
		store.state.loading = true;
	}
    requestCount ++;
	// this.$store.dispatch('loading',true)
    if(config.url.includes('http')){
		return config;
	}
	else{
		console.log("requestUrl:",window.WEB_CONF.api_url + config.url)
		config.url = window.WEB_CONF.api_url + config.url;
		if(config.url.includes('elab-marketing-user/manager/login')){
			// axios.defaults.headers.post['userId'] = ""; //axios默认的请求方式,可以自己设置
			config.headers['userId']="";
			config.headers['ip']="";
		}
		else{
			config.headers['userId'] = getStorage('id');
			config.headers['ip'] = getStorage('ip');
		}
	}
    return config;
    //console.log(config)
}, function (error) {
    console.log(error)
});

axios.interceptors.response.use(function (response) {
	// console.log("***response***",response,requestCount)
    requestCount = requestCount - 1;
    if(requestCount<1){
        store.state.loading = false;
    }
	let result = response;
    return result;
}, function (error) {
	console.log("***error***",error,requestCount)
    requestCount = requestCount - 1;
    if(requestCount<1){
        store.state.loading = false;
    }
	//如果返回的状态码是401则需要返回到登录
	if(error.response && error.response.status && error.response.status==401){
		// router.push({ name: "Login"});
		error.response.message = "账号已失效,无法登录";
		error.response.data.message = "账号已失效,无法登录";
	}
    let result = error.response;
    return result;
    //console.log(error)
});
